Security and Quality Rollup for .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, and 4.7.1 updates for Windows 7 SP1 and Server 2008 R2 SP1 (KB 4099633)

2018-06-18T18:21:07
ID KB4099633
Type mskb
Reporter Microsoft
Modified 2018-06-21T20:09:16

Description

<html><body><p>Resolves a vulnerability in Microsoft .NET Framework that could allow a Denial of Service attack and a security feature bypass vulnerability in Windows.</p><h2>Notice</h2><p><span>This update is included in the June 2018 Preview of the Quality Rollups for .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7 and  4.7.1 for Windows 7 and Windows Server 2008 R2 (<a href="https://support.microsoft.com/help/4291493">KB 4291493</a>). Parts of this update was previously included in the Security and Quality rollup (<a href="https://support.microsoft.com/help/4099633">KB 4099633</a>) on May 8, 2018 and Preview of Quality rollup (<a href="https://support.microsoft.com/help/4103472">KB 4103472</a>) on May 15, 2018.</span></p><h2>Summary</h2><p>This update resolves a vulnerability in Microsoft .NET Framework that could cause denial of service when .NET Framework and .NET core components process XML documents incorrectly. An attacker who has successfully exploited this vulnerability could cause a denial of service against a .NET Framework application. To learn more about this vulnerability, see <a data-content-id="" data-content-type="" href="https://portal.msrc.microsoft.com/security-guidance/advisory/CVE-2018-0765" id="kb-link-2">Microsoft Common Vulnerabilities and Exposures CVE-2018-0765</a>.</p><p>Additionally, this update resolves a security feature bypass vulnerability in Windows that could allow an attacker to bypass Device Guard. An attacker who successfully exploits this vulnerability could circumvent a User Mode Code Integrity (UMCI) policy on the computer. <span><span><span><span>To learn more about this vulnerability, see <a data-content-id="" data-content-type="" href="https://portal.msrc.microsoft.com/security-guidance/advisory/CVE-2018-1039" id="kb-link-2">Microsoft Common Vulnerabilities and Exposures CVE-2018-1039</a>. </span></span></span></span></p><h2></h2><p><strong><span class="text-base">Important</span></strong></p><ul><li>All updates for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, and 4.7.1 require the d3dcompiler_47.dll to be installed. We recommend that you install the included d3dcompiler_47.dll before you apply this update. For more information about the d3dcompiler_47.dll, see <a aria-live="rude" data-bi-name="content-anchor-link" data-content-id="4019990" data-content-type="article" href="https://support.microsoft.com/en-us/help/4019990" managed-link="" tabindex="0">KB 4019990</a>.</li><li>If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see <a bookmark-id="" data-content-id="" data-content-type="" href="https://technet.microsoft.com/en-us/library/hh825699" managed-link="" target="_blank">Add language packs to Windows</a>.</li></ul><h2>Additional information about this security update</h2><div><span>The following articles contain additional information about this security update as it relates to individual product versions. The articles may contain known issue information.</span></div><div> </div><ul><li><span><a href="https://support.microsoft.com/help/4095874" managed-link="">4095874</a> <span>Description of the Security and Quality Rollup for .NET Framework 3.5.1 for Windows 7 SP1 and Server 2008 R2 SP1 (KB 4095874)</span></span></li><li><a href="https://support.microsoft.com/help/4096495" managed-link="">4096495</a> <span>Description of the Security and Quality Rollup for .NET Framework 4.5.2 for Windows 7 SP1, Server 2008 R2 SP1, and Server 2008 (KB 4096495)</span></li><li><a href="https://support.microsoft.com/help/4096418" managed-link="">4096418</a> <span>Description of the Security and Quality Rollup for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1 for Windows 7 SP1 and Server 2008 R2 SP1, and for .NET Framework 4.6 for Server 2008 (KB 4096418)</span></li></ul><h2>How to obtain help and support for this security update</h2><ul><li><span>Help for installing updates: <a bookmark-id="" data-content-id="" data-content-type="" href="https://support.microsoft.com/en-us/help/12373/windows-update-faq" managed-link="" target="_blank">Windows Update FAQ</a></span></li><li><span>Security solutions for IT professionals: </span><a bookmark-id="" data-content-id="" data-content-type="" href="https://technet.microsoft.com/security/bb980617.aspx" managed-link="" target="_blank">TechNet Security Support and Troubleshooting</a></li><li><span>Help for protecting your Windows-based products and services from viruses and malware: </span><a bookmark-id="" data-content-id="" data-content-type="" href="https://support.microsoft.com/contactus/cu_sc_virsec_master" managed-link="" target="_blank">Microsoft Secure</a></li><li><span>Local support according to your country: <a bookmark-id="" data-content-id="" data-content-type="" href="http://support.microsoft.com" managed-link="" target="_blank">International Support</a></span></li></ul></body></html>